﻿@model UserLogin;
@{
    Layout = "_EmptyLayout";
    var firstName = Model?.UserData.FirstName;
    ViewData["Title"] = $"{firstName}'s Regulatory Documents";
    var adviserLogo = ViewBag.BusinessLogoImage;
    var token = await Model.Guid.ToString().EncryptAsync();
    bool isValidAdv2B = ViewBag.isValidDateOfBirth && ViewBag.isValidContactInfo && ViewBag.hasRIA;

    var tooltipHtml = "Pending Items To Complete";
    if (!isValidAdv2B)
        tooltipHtml += "<ul>";
    if (!ViewBag.isValidDateOfBirth)
        tooltipHtml += @"<li>Date of Birth</li>";
    if (!ViewBag.isValidContactInfo)
        tooltipHtml += @"<li>Contact Information</li>";
    if (!ViewBag.hasRIA)
        tooltipHtml += @"<li>Select RIA</li >";
    if (!isValidAdv2B)
        tooltipHtml += "</ul>";
    bool hasAffiliation = Model?.UserData.FMO is not null || Model?.UserData.BD is not null || Model?.UserData.RIA is not null;
}
@if (!string.IsNullOrEmpty(adviserLogo))
{
    <nav class="navbar navbar-expand-md navbar-dark sticky-top bg-white logo">
        <a class="navbar-brand" href="javascript:">
            <img src="@adviserLogo" height="120" class="d-inline-block align-top" alt="">
        </a>
    </nav>
}
<div class="banner-bg"></div>
<div class="col-lg-10 m-auto">
    <h3 class="mb-15 side-separator-container"><span class="side-separator">@firstName's Associated Firm Details</span></h3>
    <div class="row">
        <div class="col-md-4 mb-10 border-right border-navi">
            <div class="d-flex flex-column ">
                <div class="d-flex flex-column">
                    <div class="d-flex justify-content-start font-size-h6 mb-3">
                        <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">Adviser Name:</span>
                        <span class="col-8">@firstName @Model?.UserData.LastName</span>
                    </div>
                    <div class="d-flex justify-content-start font-size-h6 mb-3">
                        <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">Adviser Id:</span>
                        <span class="col-8">@Model?.UserNo</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 mb-10 @(hasAffiliation ?"border-right":"") border-navi">
            <div class="d-flex flex-column ">
                <div class="d-flex flex-column ml-5">
                    <div class="d-flex justify-content-start font-size-h6 mb-3">
                        <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">Firm Name:</span>
                        <span class="col-8">@Model?.Firm.Name</span>
                    </div>
                    <div class="d-flex justify-content-start font-size-h6 mb-3">
                        <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">Firm Id:</span>
                        <span class="col-8">@Model?.Firm.FirmNo</span>
                    </div>
                </div>
            </div>
        </div>
        @if (hasAffiliation)
        {
            <div class="col-md-4 mb-10">
                <div class="d-flex flex-column ">
                    <div class="d-flex flex-column ml-5">
                        <div class="d-flex justify-content-start font-size-h6 mb-3">
                            <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">FMO:</span>
                            <span class="col-8">@(Model?.UserData.FMO is not null? Model?.UserData.FMO?.Name:Html.Raw("<span class='text-danger'>N/A</span>"))</span>
                        </div>
                        <div class="d-flex justify-content-start font-size-h6 mb-3">
                            <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">Broker/Dealer:</span>
                            <span class="col-8">@(Model?.UserData.BD is not null? Model?.UserData.BD?.Name: Html.Raw("<span class='text-danger'>N/A</span>"))</span>
                        </div>
                        <div class="d-flex justify-content-start font-size-h6 mb-3">
                            <span class="col-4 font-weight-bold pl-0 pr-0 text-navi">RIA:</span>
                            <span class="col-8">@(Model?.UserData.RIA is not null? Model?.UserData.RIA?.Name: Html.Raw("<span class='text-danger'>N/A</span>"))</span>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
    <h3 class="mb-15 side-separator-container"><span class="side-separator">@ViewData["Title"]</span></h3>
    @if (!isValidAdv2B)
    {
        <span class="fa-stack pulse pulse-warning" data-toggle="tooltip" data-html="true" data-original-title="@tooltipHtml" data-placement="right" role="button" style="top:-8px">
            <i class="fas fa-play fa-stack-1x text-dark icon-nm" style="transform: rotate(30deg);left:1px;top:3px"></i>
            <i class="fas fa-exclamation-triangle fa-stack-1x text-warning"></i>
            <span class="pulse-ring" style="margin-left:-4px;margin-top:-5px"></span>
        </span>
    }
    <div class="row">
        <div class="col-lg-4">
            <div class="card mt-3 mb-3 shadow no-border-radius">
                <div class="card-body text-center text-h5 p-3 @(!isValidAdv2B ?"disabled-div" :"")">
                    <a href="@(isValidAdv2B ? Url.RouteUrl("adviser/adv-2b", new { token = token }) :"javascript:")" class="text-navi @(!isValidAdv2B ?"disabled" :"")" target="@(isValidAdv2B ?"_blank" :"")">@firstName's ADV 2B.pdf</a>
                </div>
            </div>
        </div>
        @if (Model != null)
        {
            @foreach (var item in Model.Firm?.RegulatoryDocuments)
            {
                <div class="col-lg-4">
                    <div class="card mt-3 mb-3 shadow no-border-radius">
                        <i class="fas fa-arrow-down animated faa-falling ml-2 text-primary d-none float-right position-absolute" style="right:10px;top:10px;" id="loader-@item.Id"></i>
                        <div class="card-body text-center text-h5 p-3">
                            <a href="javascript:" class="text-navi" onclick="clientFileDownload('documents/regulatory', '@item.FileName.Replace("'", "/")', 0, @item.Id)">@item.FileName</a>
                        </div>
                    </div>
                </div>
            }
        }
    </div>
</div>
<section class="bg-dark p-3 text-white text-center mt-15">
    <span>© 2021</span>
    <a href="https://lifearcplan.com/" target="_blank" class="text-warning">
        Financial Architects & Consultants LLC
    </a>
    <span>All Rights Reserved.</span>
</section>
<script>
    window.onscroll = function () {
        if (document.body.scrollTop > 0 || document.documentElement.scrollTop > 0)
            $(".logo").addClass("shrink");
        else
            $(".logo").removeClass("shrink");
    }
</script>
<style>
    body {
        background: none;
        display: block;
    }

    .text-navi {
        color: #002F8E !important;
    }

    .border-navi {
        border-color: #002F8E !important;
    }

    .logo img {
        max-height: 120px;
        -webkit-transition: max-height 0.4s ease-in-out 0s;
        -moz-transition: max-height 0.4s ease-in-out 0s;
        -o-transition: max-height 0.4s ease-in-out 0s;
        transition: max-height 0.4s ease-in-out 0s;
    }

    .logo.shrink img {
        max-height: 80px;
    }

    .logo {
        padding: 0;
        padding-left: 140px;
    }

    .banner-bg {
        background-image: url("/images/infographic-back.jpg");
        height: 65%;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
    }

    .shadow {
        box-shadow: 5px 5px 20px 0 rgba(41,49,51,0.4);
    }

    .text-h5 {
        font-weight: 400;
        font-size: 1.25rem;
        line-height: 1.2;
    }

    .no-border-radius {
        border-radius: 0;
    }
</style>